Summary: GNOME Document viewer
Name:    evince
Version: 0.2.0
Release: 1mdk
License: GPL
Group:   Graphical desktop/GNOME
URL:     http://www.gnome.org
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: ghostscript
BuildRequires: libgnomeprintui-devel >= 2.2
BuildRequires: libglade2.0-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libpoppler-devel >= 0.2.0
BuildRequires: ghostscript
BuildRequires: perl-XML-Parser

%description
GNOME Document viewer, supports PDF and PostScript.

%prep
%setup -q

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >  $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/%name" icon="publishing_section.png" needs="x11" title="Document Viewer" longtitle="View PDF or PS files" section="Office/Publishing" startup_notify="true" mimetypes="application/pdf,application/postscript" accept_url="true" multiple_files="true"
EOF

%post
%{update_menus}
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="%name.schemas %name-thumbnailer.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
done

%preun
if [ "$1" = "0" ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  SCHEMAS="%name.schemas %name-thumbnailer.schemas"
  for S in $SCHEMAS; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
  done
fi

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog NEWS AUTHORS TODO
# README
%_sysconfdir/gconf/schemas/%name.schemas
%_sysconfdir/gconf/schemas/%name-thumbnailer.schemas
%{_bindir}/*
%{_datadir}/evince
%{_datadir}/applications/*
%{_menudir}/*

%changelog
* Wed Apr  6 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- requires new poppler
- New release 0.2.0

* Tue Mar 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.9-1mdk
- New release 0.1.9
- update file list
- depends on poppler

* Sun Feb 27 2005 Götz Waschk <waschk@linux-mandrake.com> 0.1.5-1mdk
- New release 0.1.5

* Thu Feb 10 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.4-1mdk
- add schemas handling
- update file list
- New release 0.1.4

* Fri Feb  4 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-1mdk
- update file list
- New release 0.1.3

* Tue Feb  1 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-1mdk
- drop the patch
- New release 0.1.2

* Mon Jan 24 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-2mdk
- add patch for GNOME bug #163506

* Mon Jan 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.1-1mdk
- New release 0.1.1

* Mon Jan 10 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-1mdk
- initial package
